package com.my.app;

import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

import com.my.hello.Hello;

import kr.ac.dankook.ace.dao.PersonArrayManager;
import kr.ac.dankook.ace.dao.PersonListManager;
import kr.ac.dankook.ace.dto.Person;
import kr.ac.dankook.ace.dto.Staff;
import kr.ac.dankook.ace.dto.Student;

public class AppMainTest {

	public static void main(String[] args) {
		Hello hello = new Hello("Java21");
		hello.sayHello();
		
		Person[] pArray = {
				new Person("P", 30),	
				new Person("K", 20),	
				new Person("S", 10),	
				new Student("STUDENT", 15, 2000),
				new Staff("ACE", 25, "CE")
		};
		System.out.println("\npArray");
		for (Person p : pArray) {
			System.out.println(p);
		}

		System.out.println("\nPersonArrayManager");
		PersonArrayManager pArrayManager = new PersonArrayManager(pArray);
		System.out.println(pArrayManager);
			
		System.out.println("\npList");
		List<Person> pList = new ArrayList<>(Arrays.asList(pArray));
		for (Person p : pList) {
			System.out.println(p);
		}
		System.out.println("\nPersonListManager");
		PersonListManager pListManager = new PersonListManager(pList);
		System.out.println(pListManager);
			
		Arrays.sort(pArray);
		System.out.println("\nAfter Sort pArray by default (Comparable)");
		for (Person p : pArray) {
			System.out.println(p);
		}
	}

}
